Bug 209747 - yumex no longer works with multiple repos
yumex no longer works with multiple repos
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-06 16:25 EDT by Tom Horsley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-10 02:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
debug output from yumex (2.83 KB, text/plain)
2006-10-07 16:20 EDT, Tom Horsley
no flags Details
Here's the (very short) mirror cache file. (22 bytes, text/plain)
2006-10-08 01:37 EDT, Tom Horsley
no flags Details
The new version (37 bytes, text/plain)
2006-10-08 01:49 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2006-10-06 16:25:18 EDT
Description of problem:

If I have the normal fc6 test repos enabled (development and extras
development), when I try to run yumex all I get is a popup
that says: Error in loading repository data. This started
happening right after the yum-3.0-2 update was installed
(which fixed a bug it was having with multiple repos). Looks like
part of the fix needs to be done in yumex as well.

Version-Release number of selected component (if applicable):


How reproducible:

Every time I run with more than one repo enabled.

Steps to Reproduce:
1. Start yumex with multiple repos enabled
2. See error popup
Actual results:

Error popup

Expected results:

Updates to apply.

Additional info:

Bug 208778 was the yum bug who's fix seems to have busted yumex.
Comment 1 Tim Lauridsen 2006-10-07 02:16:03 EDT
I cant reproduce the error.

1. Try to run 'yumex -n -d' from a console 
2. Select 'Tools->Reset Repository Cache'
3. Select 'Refresh' in repo view.
4. Cut & paste the output from the console into a file and the to this report.

Comment 2 Tom Horsley 2006-10-07 16:20:15 EDT
Created attachment 137979 [details]
debug output from yumex
Comment 3 Tim Lauridsen 2006-10-08 00:10:41 EDT
 look like there is somekind og problem with the yumex url cache, please attach
this file /var/cache/yum/yumex-mirror-cache.conf.
After attaching the file, try to delete it, to see if it is solves the problem.
Comment 4 Tom Horsley 2006-10-08 01:37:25 EDT
Created attachment 137989 [details]
Here's the (very short) mirror cache file.

This file definitely seems a little light on content compared
to the corresponding file on my FC5 partition :-).
Comment 5 Tom Horsley 2006-10-08 01:49:15 EDT
Created attachment 137990 [details]
The new version

Deleteing the old file and running yumex did indeed work, though the
new version out there now doesn't have a whole lot more in it than
the old one :-). I was definitely doing a lot of funny poking and
prodding of things when I had the original yum problem, musta got
busted in that process somewhere.
Comment 6 Tim Lauridsen 2006-10-08 03:30:15 EDT
Ok, now i can reproduce it, there is no real content in the cache file, only
section headers. I it working if the section is availible, but it will do
mirrordetection every time.
I just have request a build of yumex 1.1.4 i fedora Extras Development.
It fixes the issue. 
Comment 7 Tim Lauridsen 2006-10-10 02:29:05 EDT
This is fixed in yumex-1.1.4.

Note You need to log in before you can comment on or make changes to this bug.